diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test b/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
index a78aa9ea..1c2d2207 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/tests/ldap_authentication.test
@@ -694,115 +694,111 @@ class LdapAuthenticationTestCase extends LdapTestCase {
 
     $this->drupalGet('admin/config/people/ldap/authentication');
 
-    $form_tests = array(
-      'authenticationMode' => array(
+    $form_tests = [
+      'authenticationMode' => [
         'property' => 'authenticationMode',
-        'values' => array(
+        'values' => [
           LDAP_AUTHENTICATION_MIXED,
-          LDAP_AUTHENTICATION_EXCLUSIVE
-        ),
+          LDAP_AUTHENTICATION_EXCLUSIVE,
+        ],
         'required' => TRUE,
-      ),
-      'authenticationServers[' . $sid . ']' => array(
+      ],
+      'authenticationServers[' . $sid . ']' => [
         'property' => 'enabledAuthenticationServers',
-        'values' => array(
+        'values' => [
           TRUE,
           TRUE,
-        ),
-        'desired_result' => array(
-          array($sid),
-          array($sid),
-        )
-      ),
-      'loginUIUsernameTxt' =>
-        array(
-          'property' => 'loginUIUsernameTxt',
-          'values' => array(
-            '',
-            'Hogwarts UserID',
-          ),
-        ),
-      'loginUIPasswordTxt' =>
-        array(
-          'property' => 'loginUIPasswordTxt',
-          'values' => array(
-            '',
-            'Hogwarts UserID Password',
-          ),
-        ),
-      'ldapUserHelpLinkUrl' =>
-        array(
-          'property' => 'ldapUserHelpLinkUrl',
-          'values' => array(
-            '',
-            'http://passwords.hogwarts.edu',
-          ),
-        ),
-      'ldapUserHelpLinkText' =>
-        array(
-          'property' => 'ldapUserHelpLinkText',
-          'values' => array(
-            'Hogwarts Password Management Page',
-            'Hogwarts Password Management Page'
-          ),
-        ),
-      'allowOnlyIfTextInDn' => array(
+        ],
+        'desired_result' => [
+          [$sid],
+          [$sid],
+        ],
+      ],
+      'loginUIUsernameTxt' => [
+        'property' => 'loginUIUsernameTxt',
+        'values' => [
+          '',
+          'Hogwarts UserID',
+        ],
+      ],
+      'loginUIPasswordTxt' => [
+        'property' => 'loginUIPasswordTxt',
+        'values' => [
+          '',
+          'Hogwarts UserID Password',
+        ],
+      ],
+      'ldapUserHelpLinkUrl' => [
+        'property' => 'ldapUserHelpLinkUrl',
+        'values' => [
+          '',
+          'http://passwords.hogwarts.edu',
+        ],
+      ],
+      'ldapUserHelpLinkText' => [
+        'property' => 'ldapUserHelpLinkText',
+        'values' => [
+          'Hogwarts Password Management Page',
+          'Hogwarts Password Management Page',
+        ],
+      ],
+      'allowOnlyIfTextInDn' => [
         'property' => 'allowOnlyIfTextInDn',
-        'values' => array(
+        'values' => [
           'witch\nwarlord\nwisecracker',
-          "witch\nwarlord\nwisecracker"
-        ),
-        'desired_result' => array(
-          array('witch', 'warlord', 'wisecracker'),
-          array('witch', 'warlord', 'wisecracker'),
-        )
-      ),
-      'excludeIfTextInDn' => array(
+          "witch\nwarlord\nwisecracker",
+        ],
+        'desired_result' => [
+          ['witch', 'warlord', 'wisecracker'],
+          ['witch', 'warlord', 'wisecracker'],
+        ],
+      ],
+      'excludeIfTextInDn' => [
         'property' => 'excludeIfTextInDn',
-        'values' => array(
+        'values' => [
+          "muggle\nmuddle\nmummy",
           "muggle\nmuddle\nmummy",
-          "muggle\nmuddle\nmummy"
-        ),
-        'desired_result' => array(
-          array('muggle', 'muddle', 'mummy'),
-          array('muggle', 'muddle', 'mummy'),
-        )
-      ),
-      'excludeIfNoAuthorizations' => array(
+        ],
+        'desired_result' => [
+          ['muggle', 'muddle', 'mummy'],
+          ['muggle', 'muddle', 'mummy'],
+        ],
+      ],
+      'excludeIfNoAuthorizations' => [
         'property' => 'excludeIfNoAuthorizations',
-        'values' => array(
-          array(TRUE),
-          array(TRUE),
-        ),
-      ),
-      'emailOption' => array(
+        'values' => [
+          [TRUE],
+          [TRUE],
+        ],
+      ],
+      'emailOption' => [
         'property' => 'emailOption',
-        'values' => array(
+        'values' => [
           LDAP_AUTHENTICATION_EMAIL_FIELD_REMOVE,
           LDAP_AUTHENTICATION_EMAIL_FIELD_DISABLE,
-        ),
+        ],
         'required' => TRUE,
-      ),
-      'emailUpdate' => array(
+      ],
+      'emailUpdate' => [
         'property' => 'emailUpdate',
-        'values' => array(
+        'values' => [
           LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_ENABLE,
           LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_DISABLE,
-        ),
+        ],
         'required' => TRUE,
-      ),
-      'allowTestPhp' => array(
+      ],
+      'allowTestPhp' => [
         'property' => 'allowTestPhp',
-        'values' => array(
+        'values' => [
           'pretend php',
           'pretend php',
-        ),
-      ),
-    );
+        ],
+      ],
+    ];
 
-    module_enable(array('php'));
-    foreach (array(0, 1) as $i) {
-      $edit = array();
+    module_enable(['php']);
+    foreach ([0, 1] as $i) {
+      $edit = [];
       foreach ($form_tests as $field_name => $conf) {
         $value = $conf['values'][$i];
         $property = isset($conf['property']) ? $conf['property'] : $field_name;
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerAbstract.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerAbstract.class.php
index c3895b92..04b906d9 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerAbstract.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerAbstract.class.php
@@ -66,12 +66,12 @@ class LdapAuthorizationConsumerAbstract {
    */
   public $editLink;
 
-  public $emptyConsumer = array(
+  public $emptyConsumer = [
     'exists' => TRUE,
     'value' => NULL,
     'name' => NULL,
     'map_to_string' => NULL,
-  );
+  ];
 
   /**
    * @property boolean $allowConsumerObjectCreation
@@ -95,14 +95,14 @@ class LdapAuthorizationConsumerAbstract {
    * @property array $defaultConsumerConfProperties
    * default properties for consumer admin UI form
    */
-  public $defaultConsumerConfProperties = array(
+  public $defaultConsumerConfProperties = [
     'onlyApplyToLdapAuthenticated' => TRUE,
     'useMappingsAsFilter' => TRUE,
     'synchOnLogon' => TRUE,
     'revokeLdapProvisioned' => TRUE,
     'regrantLdapProvisioned' => TRUE,
     'createConsumers' => TRUE,
-  );
+  ];
 
   /**
    * Constructor Method.
@@ -127,44 +127,41 @@ class LdapAuthorizationConsumerAbstract {
   }
 
   /**
-   * Function to normalize mappings
-   * should be overridden when mappings are not stored as map|authorization_id format
+   * Function to normalize mappings.
+   *
+   * Should be overridden when mappings are not stored as map|authorization_id format
    * where authorization_id is the format returned by
-   *   LdapAuthorizationConsumerAbstract::usersAuthorizations()
+   * LdapAuthorizationConsumerAbstract::usersAuthorizations()
    *
    * For example ldap_authorization_og may store mapping target as:
-   *   Campus Accounts|group-name=knitters,role-name=administrator member.
+   * Campus Accounts|group-name=knitters,role-name=administrator member
+   * normalized mappings are of form such as for organic groups:
+   * [
+   *   [
+   *     'from' => 'students',
+   *     'normalized' => 'node:21:1',
+   *     'simplified' => 'node:students:member',
+   *     'user_entered' => 'students'
+   *     'valid' => TRUE,
+   *     'error_message' => '',
+   *   ],
+   * ...
+   * ]
    *
-   *   normalized mappings are of form such as for organic groups:
+   * Or for Drupal role where rid 3 is moderator and rid 2 is admin:
+   * [
+   *   [
+   *     'from' => 'students',
+   *     'normalized' => '2',
+   *     'simplified' => 'admin',
+   *     'user_entered' => 'admin',
+   *     'valid' => TRUE,
+   *     'error_message' => '',
+   *   ],
+   * ...
+   * ]
    *
-   *   array(
-         array(
-           'from' => 'students',
-           'normalized' => 'node:21:1',
-           'simplified' => 'node:students:member',
-           'user_entered' => 'students'
-           'valid' => TRUE,
-           'error_message' => '',
-           ),
-
-         ...
-        )
-
-   *   or for drupal role where rid 3 is moderator and rid 2 is admin:
-   *   array(
-         array(
-           'from' => 'students',
-           'normalized' => '2',
-           'simplified' => 'admin',
-           'user_entered' => 'admin',
-           'valid' => TRUE,
-           'error_message' => '',
-           ),
-         ...
-        )
-
-        where 'normalized' is in id format and 'simplified' is user shorthand
-   )
+   * Where 'normalized' is in id format and 'simplified' is user shorthand.
    */
   public function normalizeMappings($mappings) {
     return $mappings;
@@ -321,17 +318,17 @@ class LdapAuthorizationConsumerAbstract {
   protected function grantsAndRevokes($op, &$user, &$user_auth_data, $consumers, &$ldap_entry = NULL, $user_save = TRUE) {
 
     if (!is_array($user_auth_data)) {
-      $user_auth_data = array();
+      $user_auth_data = [];
     }
 
     $detailed_watchdog_log = variable_get('ldap_help_watchdog_detail', 0);
     $this->sortConsumerIds($op, $consumers);
-    $results = array();
-    $watchdog_tokens = array();
+    $results = [];
+    $watchdog_tokens = [];
     $watchdog_tokens['%username'] = $user->name;
     $watchdog_tokens['%action'] = $op;
     $watchdog_tokens['%user_save'] = $user_save;
-    $consumer_ids_log = array();
+    $consumer_ids_log = [];
     $users_authorization_ids = $this->usersAuthorizations($user);
     $watchdog_tokens['%users_authorization_ids'] = join(', ', $users_authorization_ids);
     if ($detailed_watchdog_log) {
@@ -351,20 +348,20 @@ class LdapAuthorizationConsumerAbstract {
         if ($user_has_authorization && !$user_has_authorization_recorded) {
           // Grant case 1: authorization id already exists for user, but is not ldap provisioned.  mark as ldap provisioned, but don't regrant.
           $results[$consumer_id] = TRUE;
-          $user_auth_data[$consumer_id] = array(
+          $user_auth_data[$consumer_id] = [
             'date_granted' => time(),
             'consumer_id_mixed_case' => $consumer_id,
-          );
+          ];
         }
         elseif (!$user_has_authorization && $consumer['exists']) {
           // Grant case 2: consumer exists, but user is not member. grant authorization
           // allow consuming module to add additional data to $user_auth_data.
           $results[$consumer_id] = $this->grantSingleAuthorization($user, $consumer_id, $consumer, $user_auth_data, $user_save);
-          $existing = empty($user_auth_data[$consumer_id]) ? array() : $user_auth_data[$consumer_id];
-          $user_auth_data[$consumer_id] = $existing + array(
+          $existing = empty($user_auth_data[$consumer_id]) ? [] : $user_auth_data[$consumer_id];
+          $user_auth_data[$consumer_id] = $existing + [
             'date_granted' => time(),
             'consumer_id_mixed_case' => $consumer_id,
-          );
+          ];
         }
         elseif ($consumer['exists'] !== TRUE) {
           // Grant case 3: something is wrong. consumers should have been created before calling grantsAndRevokes.
@@ -544,7 +541,7 @@ class LdapAuthorizationConsumerAbstract {
   public function validateAuthorizationMappingTarget($mapping, $form_values = NULL, $clear_cache = FALSE) {
     $message_type = NULL;
     $message_text = NULL;
-    return array($message_type, $message_text);
+    return [$message_type, $message_text];
   }
 
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConf.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConf.class.php
index f466a90b..c5b7c6bd 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConf.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConf.class.php
@@ -28,7 +28,7 @@ class LdapAuthorizationConsumerConf {
 
   public $useFirstAttrAsGroupId = FALSE;
 
-  public $mappings = array();
+  public $mappings = [];
   public $useMappingsAsFilter = TRUE;
 
   public $synchToLdap = FALSE;
@@ -65,7 +65,7 @@ class LdapAuthorizationConsumerConf {
       $this->inDatabase = TRUE;
       $exists = $this->loadFromDb();
       if (!$exists) {
-        watchdog('ldap_authorization', 'failed to load existing %consumer object', array('%consumer' => $consumer->consumerType), WATCHDOG_ERROR);
+        watchdog('ldap_authorization', 'failed to load existing %consumer object', ['%consumer' => $consumer->consumerType], WATCHDOG_ERROR);
       }
     }
     // Default value for deriveFromEntryAttrMatchingUserAttr set up this way for backward compatibility in 1.0 branch,
@@ -78,7 +78,7 @@ class LdapAuthorizationConsumerConf {
   protected function loadFromDb() {
     if (module_exists('ctools')) {
       ctools_include('export');
-      $result = ctools_export_load_object('ldap_authorization', 'names', array($this->consumerType));
+      $result = ctools_export_load_object('ldap_authorization', 'names', [$this->consumerType]);
 
       // @todo, this is technically wrong, but I don't quite grok what we're doing in the non-ctools case - justintime
       $server_record = array_pop($result);
@@ -117,10 +117,10 @@ class LdapAuthorizationConsumerConf {
    * Direct mapping of db to object properties.
    */
   public static function field_to_properties_map() {
-    return array(
+    return [
       'sid' => 'sid',
       'consumer_type' => 'consumerType',
-      'numeric_consumer_conf_id'  => 'numericConsumerConfId' ,
+      'numeric_consumer_conf_id'  => 'numericConsumerConfId',
       'status'  => 'status',
       'only_ldap_authenticated'  => 'onlyApplyToLdapAuthenticated',
       'use_first_attr_as_groupid'  => 'useFirstAttrAsGroupId',
@@ -131,14 +131,14 @@ class LdapAuthorizationConsumerConf {
       'regrant_ldap_provisioned'  => 'regrantLdapProvisioned',
       'revoke_ldap_provisioned' => 'revokeLdapProvisioned',
       'create_consumers'  => 'createConsumers',
-    );
+    ];
   }
 
   /**
    *
    */
   public static function field_to_properties_serialized() {
-    return array('mappings');
+    return ['mappings'];
   }
 
   /**
@@ -164,7 +164,7 @@ class LdapAuthorizationConsumerConf {
       }
     }
     else {
-      $array = array();
+      $array = [];
     }
     return $array;
   }
@@ -173,12 +173,12 @@ class LdapAuthorizationConsumerConf {
    *
    */
   protected function pipeListToArray($mapping_list_txt, $make_item0_lowercase = FALSE) {
-    $result_array = array();
+    $result_array = [];
     $mappings = preg_split('/[\n\r]+/', $mapping_list_txt);
     foreach ($mappings as $line) {
       if (count($mapping = explode('|', trim($line))) == 2) {
         $item_0 = ($make_item0_lowercase) ? drupal_strtolower(trim($mapping[0])) : trim($mapping[0]);
-        $result_array[] = array($item_0, trim($mapping[1]));
+        $result_array[] = [$item_0, trim($mapping[1])];
       }
     }
     return $result_array;
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
index 22366976..24315b0b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
@@ -17,7 +17,6 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
   public function save() {
 
     $op = $this->inDatabase ? 'edit' : 'insert';
-    // $this;.
     $values = new stdClass();
     $values->sid = $this->sid;
     $values->numeric_consumer_conf_id = $this->numericConsumerConfId;
@@ -113,43 +112,43 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
   public function drupalForm($server_options, $op) {
 
     $consumer_tokens = ldap_authorization_tokens($this->consumer);
-    $form['intro'] = array(
+    $form['intro'] = [
       '#type' => 'item',
       '#markup' => t('<h1>LDAP to !consumer_name Configuration</h1>', $consumer_tokens),
-    );
+    ];
 
-    $form['status'] = array(
+    $form['status'] = [
       '#type' => 'fieldset',
       '#title' => t('I.  Basics', $consumer_tokens),
       '#collapsible' => TRUE,
       '#collapsed' => FALSE,
-    );
+    ];
 
-    $form['status']['sid'] = array(
+    $form['status']['sid'] = [
       '#type' => 'radios',
       '#title' => t('LDAP Server used in !consumer_name configuration.', $consumer_tokens),
       '#required' => 1,
       '#default_value' => $this->sid,
       '#options' => $server_options,
-    );
+    ];
 
-    $form['status']['consumer_type'] = array(
+    $form['status']['consumer_type'] = [
       '#type' => 'hidden',
       '#value' => $this->consumerType,
       '#required' => 1,
-    );
+    ];
 
-    $form['status']['status'] = array(
+    $form['status']['status'] = [
       '#type' => 'checkbox',
       '#title' => t('Enable this configuration', $consumer_tokens),
       '#default_value' => $this->status,
-    );
+    ];
 
-    $form['status']['only_ldap_authenticated'] = array(
+    $form['status']['only_ldap_authenticated'] = [
       '#type' => 'checkbox',
       '#title' => t('Only apply the following LDAP to !consumer_name configuration to users authenticated via LDAP.  One uncommon reason for disabling this is when you are using Drupal authentication, but want to leverage LDAP for authorization; for this to work the Drupal username still has to map to an LDAP entry.', $consumer_tokens),
       '#default_value' => $this->onlyApplyToLdapAuthenticated,
-    );
+    ];
 
     if (method_exists($this->consumer, 'mappingExamples')) {
       $consumer_tokens['!examples'] = '<fieldset class="collapsible collapsed form-wrapper" id="authorization-mappings">
@@ -160,7 +159,7 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
     else {
       $consumer_tokens['!examples'] = '';
     }
-    $form['filter_and_mappings'] = array(
+    $form['filter_and_mappings'] = [
       '#type' => 'fieldset',
       '#title' => t('II. LDAP to !consumer_name mapping and filtering', $consumer_tokens),
       '#description' => t('
@@ -181,51 +180,51 @@ Representations of groups derived from LDAP might initially look like:
 ', $consumer_tokens),
       '#collapsible' => TRUE,
       '#collapsed' => !($this->mappings || $this->useMappingsAsFilter || $this->useFirstAttrAsGroupId),
-    );
+    ];
 
-    $form['filter_and_mappings']['use_first_attr_as_groupid'] = array(
+    $form['filter_and_mappings']['use_first_attr_as_groupid'] = [
       '#type' => 'checkbox',
       '#title' => t('Convert full dn to value of first attribute before mapping.  e.g.  <code>cn=students,ou=groups,dc=hogwarts,dc=edu</code> would be converted to <code>students</code>', $consumer_tokens),
       '#default_value' => $this->useFirstAttrAsGroupId,
-    );
-    $form['filter_and_mappings']['mappings'] = array(
+    ];
+    $form['filter_and_mappings']['mappings'] = [
       '#type' => 'textarea',
       '#title' => t('Mapping of LDAP to !consumer_name (one per line)', $consumer_tokens),
       '#default_value' => $this->mappingsToPipeList($this->mappings),
       '#cols' => 50,
       '#rows' => 5,
-    );
-    $form['filter_and_mappings']['use_filter'] = array(
+    ];
+    $form['filter_and_mappings']['use_filter'] = [
       '#type' => 'checkbox',
       '#title' => t('Only grant !consumer_namePlural that match a filter above.', $consumer_tokens),
       '#default_value' => $this->useMappingsAsFilter,
       '#description' => t('If enabled, only above mapped !consumer_namePlural will be assigned (e.g. students and administrator).
         <strong>If not checked, !consumer_namePlural not mapped above also may be created and granted (e.g. gryffindor and probation students).  In some LDAPs this can lead to hundreds of !consumer_namePlural being created if "Create !consumer_namePlural if they do not exist" is enabled below.
         </strong>', $consumer_tokens),
-    );
+    ];
 
-    $form['more'] = array(
+    $form['more'] = [
       '#type' => 'fieldset',
       '#title' => t('Part III.  Even More Settings.'),
       '#collapsible' => TRUE,
       '#collapsed' => FALSE,
-    );
+    ];
 
-    $synchronization_modes = array();
+    $synchronization_modes = [];
     if ($this->synchOnLogon) {
       $synchronization_modes[] = 'user_logon';
     }
-    $form['more']['synchronization_modes'] = array(
+    $form['more']['synchronization_modes'] = [
       '#type' => 'checkboxes',
       '#title' => t('When should !consumer_namePlural be granted/revoked from user?', $consumer_tokens),
-      '#options' => array(
+      '#options' => [
         'user_logon' => t('When a user logs on.'),
-      ),
+      ],
       '#default_value' => $synchronization_modes,
       '#description' => '',
-    );
+    ];
 
-    $synchronization_actions = array();
+    $synchronization_actions = [];
     if ($this->revokeLdapProvisioned) {
       $synchronization_actions[] = 'revoke_ldap_provisioned';
     }
@@ -236,20 +235,20 @@ Representations of groups derived from LDAP might initially look like:
       $synchronization_actions[] = 'regrant_ldap_provisioned';
     }
 
-    $options = array(
+    $options = [
       'revoke_ldap_provisioned' => t('Revoke !consumer_namePlural previously granted by LDAP Authorization but no longer valid.', $consumer_tokens),
       'regrant_ldap_provisioned' => t('Re grant !consumer_namePlural previously granted by LDAP Authorization but removed manually.', $consumer_tokens),
-    );
+    ];
     if ($this->consumer->allowConsumerObjectCreation) {
       $options['create_consumers'] = t('Create !consumer_namePlural if they do not exist.', $consumer_tokens);
     }
 
-    $form['more']['synchronization_actions'] = array(
+    $form['more']['synchronization_actions'] = [
       '#type' => 'checkboxes',
       '#title' => t('What actions would you like performed when !consumer_namePlural are granted/revoked from user?', $consumer_tokens),
       '#options' => $options,
       '#default_value' => $synchronization_actions,
-    );
+    ];
     /**
      * @todo  some general options for an individual mapping (perhaps in an advance tab).
      *
@@ -272,10 +271,10 @@ Representations of groups derived from LDAP might initially look like:
         break;
     }
 
-    $form['submit'] = array(
+    $form['submit'] = [
       '#type' => 'submit',
       '#value' => $action,
-    );
+    ];
 
     return $form;
   }
@@ -291,7 +290,7 @@ Representations of groups derived from LDAP might initially look like:
    *
    */
   public function getLdapAuthorizationConsumerActions() {
-    $actions = array();
+    $actions = [];
     $actions[] = l(t('edit'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/edit/' . $this->consumerType);
     if (property_exists($this, 'type')) {
       if ($this->type == 'Overridden') {
@@ -312,7 +311,7 @@ Representations of groups derived from LDAP might initially look like:
    *
    */
   public function drupalFormValidate($op, $values) {
-    $errors = array();
+    $errors = [];
 
     if ($op == 'delete') {
       if (!$this->consumerType) {
@@ -334,8 +333,8 @@ Representations of groups derived from LDAP might initially look like:
   /**
    *
    */
-  public function validate($form_values = array()) {
-    $errors = array();
+  public function validate($form_values = []) {
+    $errors = [];
 
     if (!$this->consumerType) {
       $errors['consumer_type'] = t('Consumer type is missing.');
@@ -418,136 +417,136 @@ Representations of groups derived from LDAP might initially look like:
      * consumer_type is tag (unique alphanumeric id) of consuming authorization such as
      *   drupal_roles, og_groups, civicrm_memberships
      */
-    $fields = array(
-      'numeric_consumer_conf_id' => array(
-        'schema' => array(
+    $fields = [
+      'numeric_consumer_conf_id' => [
+        'schema' => [
           'type' => 'serial',
           'unsigned' => TRUE,
           'not null' => TRUE,
           'description' => 'Primary ID field for the table.  Only used internally.',
           'no export' => TRUE,
-        ),
-      ),
-      'sid' => array(
-        'schema' => array(
+        ],
+      ],
+      'sid' => [
+        'schema' => [
           'type' => 'varchar',
           'length' => 20,
           'not null' => TRUE,
-        ),
-      ),
-      'consumer_type' => array(
-        'schema' => array(
+        ],
+      ],
+      'consumer_type' => [
+        'schema' => [
           'type' => 'varchar',
           'length' => 20,
           'not null' => TRUE,
-        ),
-      ),
-      'consumer_module' => array(
-        'schema' => array(
+        ],
+      ],
+      'consumer_module' => [
+        'schema' => [
           'type' => 'varchar',
           'length' => 30,
           'not null' => TRUE,
-        ),
-      ),
+        ],
+      ],
 
-      'status' => array(
-        'schema' => array(
+      'status' => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        ),
-      ),
-      'only_ldap_authenticated' => array(
-        'schema' => array(
+        ],
+      ],
+      'only_ldap_authenticated' => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 1,
-        ),
-      ),
+        ],
+      ],
 
-      'use_first_attr_as_groupid' => array(
-        'schema' => array(
+      'use_first_attr_as_groupid' => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        ),
-      ),
+        ],
+      ],
 
-      'mappings'  => array(
-        'form_default' => array(),
-        'schema' => array(
+      'mappings'  => [
+        'form_default' => [],
+        'schema' => [
           'type' => 'text',
           'size' => 'medium',
           'not null' => FALSE,
           'default' => NULL,
-        ),
-      ),
+        ],
+      ],
 
-      'use_filter' => array(
-        'schema' => array(
+      'use_filter' => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 1,
-        ),
-      ),
+        ],
+      ],
 
-      'synchronization_modes' => array(
-        'form_default' => array('user_logon'),
-      ),
+      'synchronization_modes' => [
+        'form_default' => ['user_logon'],
+      ],
 
-      'synchronization_actions' => array(
-        'form_default' => array('revoke_ldap_provisioned', 'create_consumers'),
-      ),
+      'synchronization_actions' => [
+        'form_default' => ['revoke_ldap_provisioned', 'create_consumers'],
+      ],
 
-      'synch_to_ldap'  => array(
-        'schema' => array(
+      'synch_to_ldap'  => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        ),
-      ),
+        ],
+      ],
 
-      'synch_on_logon'  => array(
-        'schema' => array(
+      'synch_on_logon'  => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        ),
-      ),
+        ],
+      ],
 
-      'revoke_ldap_provisioned'  => array(
-        'schema' => array(
+      'revoke_ldap_provisioned'  => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        ),
-      ),
+        ],
+      ],
 
-      'create_consumers'  => array(
-        'schema' => array(
+      'create_consumers'  => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        ),
-      ),
+        ],
+      ],
 
-      'regrant_ldap_provisioned'  => array(
-        'schema' => array(
+      'regrant_ldap_provisioned'  => [
+        'schema' => [
           'type' => 'int',
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        ),
-      ),
-    );
+        ],
+      ],
+    ];
     return $fields;
   }
 
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.admin.inc b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.admin.inc
index 59acfea6..4b2c75e8 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.admin.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.admin.inc
@@ -27,21 +27,21 @@ function ldap_authorizations_admin_index() {
   foreach ($consumers as $consumer_type => $consumer) {
     $consumers[$consumer_type] = ldap_authorization_get_consumer_object($consumer_type);
   }
-  return theme('ldap_authorization_admin_index', array('consumers' => $consumers));
+  return theme('ldap_authorization_admin_index', ['consumers' => $consumers]);
 
 }
 
 /**
  * Form for adding, updating, and deleting a single ldap authorization configuration.
  *
- * @param form array $form
- * @param form state array $form_state
+ * @param array $form
+ * @param array $form_state
  * @param string $op
  *   (add, edit, or delete)
  * @param string $consumer_type
  *   e.g. drupal_roles, og_group, etc.  Only needed for adds.
  *
- * @return drupal form array
+ * @return array
  */
 function ldap_authorization_admin_form($form, &$form_state, $consumer_type, $op = NULL) {
   ldap_servers_module_load_include('php', 'ldap_authorization', 'LdapAuthorizationConsumerConfAdmin.class');
@@ -50,7 +50,7 @@ function ldap_authorization_admin_form($form, &$form_state, $consumer_type, $op
   if ($op == 'add' && is_object($consumer->consumerConf) && $consumer->consumerConf->inDatabase) {
     drupal_set_message(t('Only one configuration is allowed per consumer type.
       Configuration already exists for the cosumer type %consumer_type.  Please edit that configuration.',
-      array('%consumer_type' => $consumer_type)), 'warning');
+      ['%consumer_type' => $consumer_type]), 'warning');
     drupal_goto(LDAP_SERVERS_MENU_BASE_PATH . '/authorization');
   }
 
@@ -105,7 +105,7 @@ function ldap_authorization_admin_form_submit($form, &$form_state) {
   $consumer_conf->drupalFormSubmit($op, $values);
 
   if ($consumer_conf->hasError == FALSE) {
-    drupal_set_message(t('LDAP Authorization %name !verb', array('!verb' => $op_past_tense, '%name' => $consumer->name)), 'status');
+    drupal_set_message(t('LDAP Authorization %name !verb', ['!verb' => $op_past_tense, '%name' => $consumer->name]), 'status');
     drupal_goto(LDAP_SERVERS_MENU_BASE_PATH . '/authorization');
   }
 
@@ -148,6 +148,6 @@ function _ldap_authorization_admin_parse_form($form, &$form_state) {
       break;
   }
 
-  return array($consumer, $op, $op_past_tense, $new);
+  return [$consumer, $op, $op_past_tense, $new];
 
 }
